require "minitest/autorun"
require "ucert"

class TestAudiologTracker < Minitest::Test

  def setup
   @audiolog_tracker = Ucert::AudiologTracker.new(:verbose=>false)
  end

  def test_instance_initialize_success
     refute_nil @audiolog_tracker.audiolog_user
  end

  def test_print_user
    $stdout = StringIO.new
    @audiolog_tracker.print_user
    items=$stdout.string.split("\n")
    items.each do |line|
      assert_match (/\A.+\|.+\|.+\|.*\|\z/), line
    end
  end

end
