require "minitest/autorun"
require "ucert"

class TestCheck21Tracker < Minitest::Test

  def setup
   @check21_tracker = Ucert::Check21Tracker.new(:verbose=>false)
  end

  def test_instance_initialize_success
     refute_nil @check21_tracker.check21_user_entitlement
  end

  def test_parse_check21_user_info
    titles=["CN","department","sAMAccountName","DN"]
    @check21_tracker.check21_user_entitlement.each do|index, content|
      assert_equal titles, content.keys
    end
  end

  def test_print_user
    $stdout = StringIO.new
    @check21_tracker.print_user
    items=$stdout.string.split("\n")
    items.each do |line|
      assert_match (/\A.+\|.*\|.+\|.*\|\z/), line
    end
  end

end
