require "minitest/autorun"
require "ucert"

class TestVpnTracker < Minitest::Test

  def setup
    @vpn_tracker = Ucert::VpnTracker.new(:verbose=>false)
  end

  def test_instance_initialize_success
     refute_nil @vpn_tracker.vpn_user_entitlement
  end

  #user CN=Sherry's department is "Gompliance" instead of "Compliance", the typo caused the test fail.
  def test_parse_vpn_user_info
=begin
    department_catagory=["IT","FI","Banking Operations","Management","Compliance","Corporate Banking US Group","Corporate Banking China Group","TransactionBanking","Treasury","Risk Management","Credit Products Group","Finance","SPD","PB","Human Resource","CPG","General Office"]
    @test_vpn_entitlement=@vpn_tracker.send(:parse_vpn_user_info)
    cout=1
    @test_vpn_entitlement.each do |index, people|
      assert_equal true, people.has_key?("CN")
      user_cn=people["CN"]
      puts "checking index:"+cout.to_s+" CN:"+user_cn
      puts people
      people.each do |key, value|
        if key=="department"
          assert department_catagory.include? value
        elsif key=="VPN Class"
          assert_match (/\Aclass_\d\z/), value
        elsif key=="DN"
          assert_match (/\A#{user_cn}\,OU=Users,OU=.+\,DC=ny,DC=cmbchina,DC=com\z/), value
        else
          refute_nil value
        end
      end
      cout=cout+1
    end
=end
  end

  def test_print_user_entitlement
    column_num=Array.new
    @vpn_tracker.vpn_user_entitlement.values.each do |rec|
      column_num.push(rec.each.size)
    end
    assert_equal 1, column_num.uniq!.size
    $stdout = StringIO.new
    @vpn_tracker.print_user
    items=$stdout.string.split("\n")
    items.each do |line|
     assert_match (/\A.+\|(.*\|){#{column_num[0]-1}}\z/), line
     assert_equal column_num[0], line.count("|")
    end
  end

end
